# Homebase Functionality

Homebase Functionality
This option (a DWord bit mask) determines the functionality of base buildings in a scenario. The base building is the one with the flag.

Bit
Value
BaseFunctionality
Description
0
1
BASEFUNC_AutoSellContents
Lorries are automatically emptied and any gold in the base building or in contained objects is automatically sold.
1
2
BASEFUNC_RegenerateEnergy
Allied clonks can recharge life energy at the base.
2
4
BASEFUNC_Buy
Objects can be bought in the base.
3
8
BASEFUNC_Sell
Objects can be sold at the base.
4
16
BASEFUNC_RejectEntrance
The entrance is blocked for hostile clonks.
5
32
BASEFUNC_Extinguish
Clonks are extinguished in the base building.
1-16
65536
BASEFUNC_Default
All bits set: the default behaviour.

Sven2
2006-03